global _OK, _YES, _NO, _QUIT, _ERR_OS_TITLE, _ERR_OS_BODY, _ERR_INSTALLED_TITLE, _ERR_INSTALLED_LANG_BODY, _ERR_INSTALLED_REGION_BODY, _ERR_INSTALLED_EQUAL_BODY, _REGIONSELECTOR, _ADDTODOCKTITLE, _ADDTODOCK, _STARTAPP, _UNINSTTITLE, _UNINSTQUEST, _UNINSTANSWER, MY_POSIX_PATH, MYRETURN

property PLIST_LANGUAGE : ""
property PLIST_REGION : ""
property DOQUIT : false
property MYRETURN : false

tell application "Finder" to set MY_POSIX_PATH to "/Volumes/Capture NX Setup/Capture NX Setup.pkg/Contents/Resources"


--
-- Get MCA language and region
--
set oldDelimiters to AppleScript's text item delimiters
set plist to "/Library/Preferences/Capture NX.plist"
try
	do shell script "plutil -convert xml1 \"" & plist & "\""
	set PLIST_LANGUAGE to do shell script "echo `grep -A 1 'MCA_Language' " & quoted form of plist & "` | grep 'string' | awk -F'>' '{print $4}' | awk -F'<' '{print $1}'"
	set PLIST_REGION to do shell script "echo `grep -A 1 'MCA_Region' " & quoted form of plist & "` | grep 'string' | awk -F'>' '{print $4}' | awk -F'<' '{print $1}'"
	set AppleScript's text item delimiters to " "
	set PLIST_LANGUAGE to item 1 of text items of PLIST_LANGUAGE
	set PLIST_REGION to item 1 of text items of PLIST_REGION
	do shell script "plutil -convert binary1 \"" & plist & "\""
end try
set AppleScript's text item delimiters to oldDelimiters



--
-- setLanguageSpecificVariables
--
set lang to ""
try
	set lang to do shell script "test=`/usr/bin/defaults read $HOME/Library/Preferences/.GlobalPreferences AppleLanguages`; echo `echo $test | cut -d, -f1 | sed 's/(//g' | sed 's/ //g' | sed 's/\"//g'`"
end try
if lang = "de" or lang = "German" then
	set _OK to "OK"
	set _YES to "Ja"
	set _NO to "Nein"
	set _QUIT to "Beenden"
	set _ERR_OS_TITLE to "Das aktuelle Betriebssystem erfllt nicht die Mindestanforderungen"
	set _ERR_OS_BODY to "Diese Version von Capture NX erfordert Mac OS 10.3.9 oder neuer, damit der Installationsvorgang fortgefhrt werden kann. Der Installationsassistent wird nun beendet."
	set _ERR_INSTALLED_TITLE to "Capture NX wurde bereits installiert"
	set _ERR_INSTALLED_LANG_BODY to "Eine andere Sprachversion von Capture NX wurde bereits installiert. Bitte deinstallieren Sie zunchst die bereits installierte Version von Capture NX und fhren Sie dann diesen Installationsassistenten erneut aus. Der Installationsassistent wird nun beendet."
	set _ERR_INSTALLED_REGION_BODY to "Eine andere Regionsversion von Capture NX wurde bereits installiert. Bitte deinstallieren Sie zunchst die bereits installierte Version von Capture NX und fhren Sie dann diesen Installationsassistenten erneut aus. Der Installationsassistent wird nun beendet."
	set _ERR_INSTALLED_EQUAL_BODY to "Dieselbe Version von Capture NX ist bereits installiert worden. Sind Sie sicher, dass Sie fortfahren mchten?"
	set _ERR_INSTALLED_OLDER_BODY to "Eine ltere Version von Capture NX ist bereits installiert worden. Mchten Sie die Version aktualisieren?"
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else if lang = "fr" or lang = "French" then
	set _OK to "OK"
	set _YES to "Oui"
	set _NO to "Non"
	set _QUIT to "Fermer"
	set _ERR_OS_TITLE to "Le systme d'exploitation courant n'a pas la configuration minimum requise"
	set _ERR_OS_BODY to "Cette version de Capture NX exige Mac OS 10.3.9 ou une version superieure afin de proceder l'installation. Le programme d'installation va se fermer."
	set _ERR_INSTALLED_TITLE to "Capture NX est dj install "
	set _ERR_INSTALLED_LANG_BODY to "Une version de Capture NX dans une autre langue est dj installe. Veuillez d'abord dsinstaller la version de Capture NX dj installe, puis lancer de nouveau ce programme d'installation. Le programme d'installation va se fermer."
	set _ERR_INSTALLED_REGION_BODY to "Une version de Capture NX pour une autre rgion est dj installe. Veuillez d'abord dsinstaller la version de Capture NX dj installe, puis lancer de nouveau ce programme d'installation. Le programme d'installation va se fermer."
	set _ERR_INSTALLED_EQUAL_BODY to "La mme version de Capture NX est dj installe. tes-vous sr/e que vous voulez continuer?"
	set _ERR_INSTALLED_OLDER_BODY to "Une version prcdente de Capture NX a t dtecte. Etes vous sr de vouloir la mettre  jour?"
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else if lang = "es" or lang = "Spanish" then
	set _OK to "Acceptar"
	set _YES to "S" & (data utxt00EC as Unicode text) as class utf8
	set _NO to "No"
	set _QUIT to "Cerra"
	set _ERR_OS_TITLE to "El sistema operativo en uso no satisface los requisitos mnimos"
	set _ERR_OS_BODY to "Esta versin de Capture NX necesita Mac OS 10.3.9 o posterior para continuar con el proceso de instalacin. El instalador se cerrar?"
	set _ERR_INSTALLED_TITLE to "Capture NX ya fue instalado"
	set _ERR_INSTALLED_LANG_BODY to "Capture NX ya fue instalado en una versin para otro idioma. Desinstale esa versin de Capture NX y, a continuacin, inicie el instalador nuevamente. El instalador se cerrar?"
	set _ERR_INSTALLED_REGION_BODY to "Capture NX ya fue instalado en una versin regional diferente. Desinstale esa versin de Capture NX y, a continuacin, inicie el instalador nuevamente. El instalador se cerrar?"
	set _ERR_INSTALLED_EQUAL_BODY to "Est instalada la misma versin de Capture NX. Est seguro de que quiere continuar?"
	set _ERR_INSTALLED_OLDER_BODY to "Se ha encontrado una versin anterior del software Capture NX. Seguro que desea actualizarla?"
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else if lang = "it" or lang = "Italian" then
	set _OK to "OK"
	set _YES to "S" & (data utxt00ED as Unicode text) as class utf8
	set _NO to "No"
	set _QUIT to "Esci"
	set _ERR_OS_TITLE to "Il sistema operativo usato non possiede i requisiti minimi"
	set _ERR_OS_BODY to "Linstallazione di questa versione di Capture NX richiede Mac OS 10.3.9 o versione successiva. Linstallazione non pu proseguire."
	set _ERR_INSTALLED_TITLE to "Capture NX  gi installato"
	set _ERR_INSTALLED_LANG_BODY to " gi installata una versione di Capture NX tradotta in altra lingua. Disinstallare la versione installata e riavviare linstaller. Linstallazione non pu proseguire."
	set _ERR_INSTALLED_REGION_BODY to " gi installata una versione di Capture NX destinata ad unaltra area geografica. Disinstallare la versione installata e riavviare linstaller. Linstallazione non pu proseguire."
	set _ERR_INSTALLED_EQUAL_BODY to "La stessa versione di Capture NX  gi installata. Continuare?"
	set _ERR_INSTALLED_OLDER_BODY to " stata rilevata una versione precedente di Capture NX. Continuare laggiornamento?"
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else if lang = "nl" or lang = "Dutch" then
	set _OK to "OK"
	set _YES to "Ja"
	set _NO to "Nee"
	set _QUIT to "Stop"
	set _ERR_OS_TITLE to "Het huidige besturingssysteem voldoet niet aan de minimumeisen."
	set _ERR_OS_BODY to "Om de installatie van deze versie van Capture NX voort te zetten, is Mac OS 10.3.9 of hoger vereist.  De installatie wordt nu gestopt."
	set _ERR_INSTALLED_TITLE to "Capture NX is al genstalleerd"
	set _ERR_INSTALLED_LANG_BODY to "Er is al een andere taalversie van Capture NX genstalleerd. Verwijder eerst de reeds genstalleerde versie van Capture NX en voer dan opnieuw deze installatie uit. De installatie wordt nu gestopt."
	set _ERR_INSTALLED_REGION_BODY to "Er is al een andere regioversie van Capture NX genstalleerd. Verwijder eerst de reeds genstalleerde versie van Capture NX en voer deze installatie dan opnieuw uit. De installatie wordt nu gestopt."
	set _ERR_INSTALLED_EQUAL_BODY to "Dezelfe versie van Capture NX is al genstalleerd. Weet u zeker dat u door wilt gaan?"
	set _ERR_INSTALLED_OLDER_BODY to "Er is een oudere versie van Capture NX aangetroffen. Weet u zeker dat u een update wilt uitvoeren?"
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else if lang = "ko" or lang = "Korean" then
	set _OK to (data utxt1112116A11A8110B117511AB as Unicode text)
	set _YES to (data utxt110B1168 as Unicode text)
	set _NO to (data utxt110B116111021175110B1169 as Unicode text)
	set _QUIT to (data utxtC885B8CC as Unicode text)
	set test to (data utxt110B117400201109116511AF110E11750020110C116511AF110E11611105117311AF0020110011681109116911A811121161110511671106116711AB0020004D006100630020004F00530020 as Unicode text) as class utf8
	set test1 to (data utxt00310030002E0033002E00390020110B11751109116111BC110B117500201111117511AF110B116D1112116111B81102117511031161002E0020110B117500201109116511AF110E117500201100116A11AB11051175110C11611105117311AF0020110C116911BC1105116D1112116111B81102117511031161002E as Unicode text) as class utf8
	set _ERR_OS_TITLE to (data utxt1112116711AB110C11620020110B116E11AB110B116711BC0020110E1166110C11661102117311AB0020110E116C110911690020110B116D1100116E0020110911611112116111BC110B117311AF0020110E116E11BC110C116911A811121161110C11750020110B116111AD110B117311B7 as Unicode text) as class utf8
	set _ERR_OS_BODY to ((data utxt1175110B1175002011071165110C116511AB110B1174 as Unicode text) as class utf8) & " Capture NX" & test & test1
	try
		set _ERR_INSTALLED_TITLE to "Capture NX" & (data utxt110011610020110B11751106117500201109116511AF110E11751103116C11B7 as Unicode text)
	end try
	set _ERR_INSTALLED_LANG_BODY to (data utxt110311611105117311AB0020110B116511AB110B1165002011071165110C116511AB110B1174 as Unicode text) & " Capture NX" & (data utxt110011610020110B11751106117500201109116511AF110E11751103116C110B11650020110B117511BB1109117311B81102117511031161002E0020110B11751106117500201109116511AF110E11751103116C11AB as Unicode text) & " Capture NX " & (data utxt11071165110C116511AB110B117311AF0020110C1166110011651112116111AB002011031161110B117311B700201109116511AF110E117500201100116A11AB11051175110C11611105117311AF0020 as Unicode text) & (data utxt110311611109117500201109117511AF1112116211BC111211611109117511B8110911750020110B1169002E0020110B117500201109116511AF110E117500201100116A11AB11051175110C11611105117311AF0020110C116911BC1105116D1112116111B81102117511031161002E as Unicode text)
	set _ERR_INSTALLED_REGION_BODY to (data utxt11611105117311AB0020110C1175110B116711A8002011071165110C116511AB110B1174 as Unicode text) & " Capture NX" & (data utxt110011610020110B11751106117500201109116511AF110E11751103116C110B11650020110B117511BB1109117311B81102117511031161002E0020110B11751106117500201109116511AF110E11751103116C11AB as Unicode text) & " Capture NX " & (data utxt11071165110C116511AB110B117311AF0020110C1166110011651112116111AB002011031161110B117311B700201109116511AF110E117500201100116A11AB11051175110C11611105117311AF0020 as Unicode text) & (data utxt110311611109117500201109117511AF1112116211BC111211611109117511B8110911750020110B1169002E0020110B117500201109116511AF110E117500201100116A11AB11051175110C11611105117311AF0020110C116911BC1105116D1112116111B81102117511031161002E as Unicode text)
	set _ERR_INSTALLED_EQUAL_BODY to (data utxt110011C0110B117311AB002011071165110C116511AB110B1174 as Unicode text) & " Capture NX" & (data utxt110011610020110B11751106117500201109116511AF110E11751103116C110B11650020110B117511BB1109117311B81102117511031161002E0020110011681109116911A811121161110911751100116611BB1109117311B800201102117511011161003F as Unicode text)
	set _ERR_INSTALLED_OLDER_BODY to (data utxtc774c8040020bc84c804c758002000430061007000740075007200650020004e00580020c18cd504d2b8c6e8c5b4ac000020c774bbf80020c788c2b5b2c8b2e4002e0020c5c5b370c774d2b8d558c2dcaca0c2b5b2c8ae4c003f as Unicode text)
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else if lang = "ja" or lang = "Japanese" then
	set _OK to "OK"
	set _YES to (data utxt306F3044 as Unicode text)
	set _NO to (data utxt304430443048 as Unicode text)
	set _QUIT to (data utxt7D424E86 as Unicode text)
	set _ERR_OS_TITLE to (data utxt304A4F7F3044306E0020004D006100630020004F00530020306F30B530DB309A30FC30C83055308C30663044307E305B30933002 as Unicode text) as class utf8
	set test to (data utxt309230A430F330B930C830FC30EB3059308B306B306F3001004D00610063004F005300200058002000310030002E0033002E003900204EE50020964D304B30995FC589813066309930593002002030A430F330B930C830FC30E930FC30927D424E863057307E30593002 as Unicode text) as class utf8
	set _ERR_OS_BODY to ((data utxt3053306E30CF309930FC30B7309930E730F3306E as Unicode text) as class utf8) & " Capture NX " & test
	try
		set _ERR_INSTALLED_TITLE to "Capture NX " & (data utxt306F305930663099306B30A430F330B930C830FC30EB3055308C30663044307E3059 as Unicode text)
	end try
	set _ERR_INSTALLED_LANG_BODY to (data utxt8A008A9E306E7570306A308B as Unicode text) & " Capture NX " & (data utxt304B3099305930663099306B30A430F330B930C830FC30EB3055308C30663044307E305930020020305930663099306B30A430F330B930C830FC30EB3055308C30663044308B as Unicode text) & "Capture NX " & (data utxt3092307E3059309930A230F330A430F330B930C830FC30EB30573066304B3089300130A430F330B930C830FC30E930FC00203092518D00205EA65B9F884C30573066304F305F3099305530443002002030A430F330B930C830FC30E930FC30927D424E863057307E30593002 as Unicode text)
	set _ERR_INSTALLED_REGION_BODY to (data utxt573057DF60C55831306E7570306A308B as Unicode text) & " Capture NX " & (data utxt304B3099305930663099306B30A430F330B930C830FC30EB3055308C30663044307E305930020020305930663099306B30A430F330B930C830FC30EB3055308C30663044308B as Unicode text) & "Capture NX " & (data utxt3092307E3059309930A230F330A430F330B930C830FC30EB30573066304B3089300130A430F330B930C830FC30E930FC00203092518D5EA65B9F884C30573066304F305F3099305530443002002030A430F330B930C830FC30E930FC30927D424E863057307E30593002 as Unicode text)
	set _ERR_INSTALLED_EQUAL_BODY to (data utxt540C305830D030FC30B830E730F3306E00430061007000740075007200650020004E00580020304C30593067306B30A430F330B930C830FC30EB3055308C30663044307E3059300230A430F330B930C830FC30EB30927D9A3051306630823088308D3057304430673059304BFF1F as Unicode text)
	set _ERR_INSTALLED_OLDER_BODY to (data utxt53e4304430d030fc30b830e730f3306e00430061007000740075007200650020004e0058304c30a430f330b930c830fc30eb3055308c30663044307e3059300230a230c330d730c730fc30c83057306630823088308d3057304430673059304bff1f as Unicode text)
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else if lang = "sv" or lang = "Swedish" then
	set _OK to "OK"
	set _YES to "Ja"
	set _NO to "Nej"
	set _QUIT to "Avsluta"
	set _ERR_OS_TITLE to "Aktuellt operativsystem uppfyller inte minikraven"
	set _ERR_OS_BODY to "Denna version av Capture NX krver Mac OS 10.3.9 eller senare fr att installationen ska fortstta. Installeraren kommer nu att avslutas."
	set _ERR_INSTALLED_TITLE to "Capture NX r redan installerat"
	set _ERR_INSTALLED_LANG_BODY to "En version av Capture NX i ett annat sprk r redan installerad. Avinstallera frst den befintliga versionen av Capture NX och kr sedan denna installerare igen. Installeraren kommer nu att avslutas."
	set _ERR_INSTALLED_REGION_BODY to "En annan regionsversion av Capture NX r redan installerad. Avinstallera frst den befintliga versionen av Capture NX och kr sedan denna installerare igen. Installeraren kommer nu att avslutas."
	set _ERR_INSTALLED_EQUAL_BODY to "Samma version av Capture NX har redan installerats. r du sker p att du vill fortstta?"
	set _ERR_INSTALLED_OLDER_BODY to "En ldre version av Capture NX-programvaran hittades. r du sker p att du vill uppdatera?"
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else if lang = "zh-Hant" or lang = "zh_TW" then
	set _OK to (data utxt78BA5B9A as Unicode text)
	set _YES to (data utxt662F as Unicode text)
	set _NO to (data utxt5426 as Unicode text)
	set _QUIT to (data utxt7D50675F as Unicode text)
	set _ERR_OS_TITLE to (data utxt76EE524D4F5C696D7CFB7D7197006EFF8DB34EE54E0B67004F4E89816C42 as Unicode text) as class utf8
	set _ERR_OS_BODY to (data utxt4F5C696D7CFB7D715FC59808662F0020004D006100630020004F0053002000310030002E0033002E00390020621666F465B07248672C624D80FD7E7C7E8C5B8988DD6B64002000430061007000740075007200650020004E005800207248672C300200205B8988DD7A0B5F0F53735C077D50675F3002 as Unicode text) as class utf8
	try
		set _ERR_INSTALLED_TITLE to "Capture NX " & (data utxt5DF25B8988DD as Unicode text)
	end try
	set _ERR_INSTALLED_LANG_BODY to (data utxt7CFB7D714E0A5B8988DD67094E0D540C8A9E8A007248672C7684 as Unicode text) & " Capture NX" & (data utxt300200208ACB514889E396645B8988DD5DF27D935B89002088DD7684 as Unicode text) & " Capture NX" & (data utxt7248672C002C71365F8C91CD65B057F7884C6B645B8988DD7A0B5F0F300200205B8988DD7A0B5F0F53735C077D50675F3002 as Unicode text)
	set _ERR_INSTALLED_REGION_BODY to (data utxt7CFB7D714E0A5B8988DD67094E0D540C573053407248672C7684 as Unicode text) & " Capture NX" & (data utxt300200208ACB514889E396645B8988DD5DF27D935B89002088DD7684 as Unicode text) & " Capture NX " & (data utxt7248672C002C71365F8C91CD65B057F7884C6B645B8988DD7A0B5F0F300200205B8988DD7A0B5F0F53735C077D50675F3002 as Unicode text)
	set _ERR_INSTALLED_EQUAL_BODY to (data utxt5DF27D935B8988DD4E8676F8540C7248672C7684 as Unicode text) & " Capture NX" & (data utxt300278BA5B9A89817E7C7E8C55CE003F as Unicode text)
	set _ERR_INSTALLED_OLDER_BODY to (data utxt627e5230820a72487684002000430061007000740075007200650020004e005800208edf9ad43002662f542678ba5b9a898166f465b0ff1f as Unicode text)
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else if lang = "zh-Hans" or lang = "zh_CN" then
	set _OK to (data utxt786E5B9A as Unicode text)
	set _YES to (data utxt662F as Unicode text)
	set _NO to (data utxt5426 as Unicode text)
	set _QUIT to (data utxt900051FA as Unicode text)
	set _ERR_OS_TITLE to (data utxt5F53524D64CD4F5C7CFB7EDF97006EE18DB34EE54E0B67004F4E89816C42 as Unicode text) as class utf8
	set test to (data utxt7248672C002C64CD4F5C7CFB7EDF5FC5987B662F0020004D006100630020004F0053002000310030002E0033002E00390020621666F465B07248672C300200205B8988C57A0B5E8F53735C06900051FA3002 as Unicode text) as class utf8
	set _ERR_OS_BODY to ((data utxt89817EE77EED5B8988C56B64 as Unicode text) as class utf8) & " Capture NX " & test
	try
		set _ERR_INSTALLED_TITLE to "Capture NX " & (data utxt5DF25B8988C5 as Unicode text)
	end try
	set _ERR_INSTALLED_LANG_BODY to (data utxt7CFB7EDF4E0A5B8988C567094E0D540C8BED8A007248672C7684 as Unicode text) & " Capture NX" & (data utxt300200208BF7514853788F7D5DF27ECF5B8988C57684 as Unicode text) & " Capture NX " & (data utxt7248672C002C7136540E91CD65B08FD0884C6B645B8988C57A0B5E8F300200205B8988C57A0B5E8F53735C06900051FA3002 as Unicode text)
	set _ERR_INSTALLED_REGION_BODY to (data utxt7CFB7EDF4E0A5B8988C567094E0D540C5730533A7248672C7684 as Unicode text) & " Capture NX" & (data utxt300200208BF7514853788F7D5DF27ECF5B8988C57684 as Unicode text) & " Capture NX " & (data utxt7248672C002C7136540E91CD65B08FD0884C6B645B8988C57A0B5E8F300200205B8988C57A0B5E8F53735C06900051FA3002 as Unicode text)
	set _ERR_INSTALLED_EQUAL_BODY to (data utxt5DF27ECF5B8988C54E8676F8540C7248672C7684 as Unicode text) & " Capture NX" & (data utxt3002662F5426786E5B9A89817EE77EED003F as Unicode text)
	set _ERR_INSTALLED_OLDER_BODY to (data utxt627e523065e77248672c7684002000430061007000740075007200650020004e005800208f6f4ef63002662f542666f465b0ff1f as Unicode text)
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
	
else
	set _OK to "OK"
	set _YES to "Yes"
	set _NO to "No"
	set _QUIT to "Quit"
	set _ERR_OS_TITLE to "Current Operating System is Below Minimum Requirement"
	set _ERR_OS_BODY to "This Version of Capture NX requires Mac OS 10.3.9 or newer in order to proceed with the installation process. The installer will now quit."
	set _ERR_INSTALLED_TITLE to "Capture NX Already Installed"
	set _ERR_INSTALLED_LANG_BODY to "A different language version of Capture NX is already installed. First uninstall the version of Capture NX already installed, and then run this installer again. The installer will now quit."
	set _ERR_INSTALLED_REGION_BODY to "A different region version of Capture NX is already installed. First uninstall the version of Capture NX already installed, and then run this installer again. The installer will now quit."
	set _ERR_INSTALLED_EQUAL_BODY to "The same version of Capture NX has already been installed. Are you sure you want to update?"
	set _ERR_INSTALLED_OLDER_BODY to "An older version of Capture NX has been found. Are you sure you want to update?"
	set _REGIONSELECTOR to "Please choose a region from the choices below:"
end if


--
-- chooseRegion
--
if DOQUIT = false then
	set CHKM to "CHKM"
	set test to do shell script "if [ -e \"" & MY_POSIX_PATH & "\"/language.sh ]; then . \"" & MY_POSIX_PATH & "\"/language.sh; fi; if [[ \"" & CHKM & "\" = \"${MCA_REGION}\" ]]; then echo 1; else echo 0; fi"
	set NA to "For users in Canada"
	set AP to "For users in Asia"
	set MI to "For users in the Middle East"
	set AF to "For users in Africa"
	set OC to "For users in Oceania"
	if test = "1" then
		with timeout of 86400 seconds
			try
				tell application "Finder"
					activate
					set test to choose from list {AP, NA, MI, AF, OC} with prompt _REGIONSELECTOR default items AP OK button name _OK cancel button name _QUIT
				end tell
			end try
		end timeout
		if test = false then
			do shell script "killall -HUP Installer"
			quit
		else
			set testitem to item 1 of test
			if testitem = NA then
				set MYRETURN to "CND "
			else if testitem = AP or testitem = AF or testitem = MI or testitem = OC then
				set MYRETURN to "INT "
			end if
		end if
	end if
end if



--
-- isOSOK
--
set test to do shell script "OSX=`sw_vers -productVersion`; if [[ $OSX != *10.3.9 && $OSX != *10.3.[1-9][1-9] && $OSX != *10.[4-9]* ]]; then echo 1; else echo 0; fi"
if test = "1" then
	with timeout of 86400 seconds
		try
			tell application "Finder"
				activate
				display dialog _ERR_OS_TITLE & "

" & _ERR_OS_BODY buttons {_QUIT} default button 1
			end tell
		end try
	end timeout
	set DOQUIT to true
	do shell script "killall -HUP Installer"
end if


if PLIST_REGION = "INT" or PLIST_REGION = "CND" then
	if lang  "es" and lang  "fr" and lang  "ko" and lang  "zh-Hant" and lang  "zh-Hans" and lang  "Spanish" and lang  "French" and lang  "Korean" and lang  "zh_TW" and lang  "zh_CN"then
		set lang to "en"
	end if
end if
if PLIST_REGION = "NSA" then
	if lang  "es" and lang  "Spanish" then
		set lang to "en"
	end if
end if
if PLIST_REGION = "EUR" then
	if lang  "es" and lang  "fr" and lang  "de" and lang  "it" and lang  "nl" and lang  "sv" and lang  "Spanish" and lang  "French" and lang  "German" and lang  "Italian" and lang  "Dutch" and lang  "Swedish" then
		set lang to "en"
	end if
end if



--
-- isRegion OK
--
if DOQUIT = false then
	set test to do shell script "REG=\"" & PLIST_REGION & "\"; if [[ $REG != \"\" && $REG != " & MYRETURN & " || " & MYRETURN & " = 'false' ]]; then echo 1; else echo 0; fi"
	if test = "1" then
		set MYRETURN to false
		set test to do shell script "LANGUAGE=" & lang & "; typeset -x LANGUAGE; myPath=\"" & MY_POSIX_PATH & "\"; . \"${myPath}/strings\"; if [ -e \"${myPath}/language.sh\" ]; then . \"${myPath}/language.sh\"; fi; MCA_REGION=`echo ${MCA_REGION% }`; REG=\"" & PLIST_REGION & "\"; if [[ ${REG} != ${MCA_REGION} && ${REG} != \"\" ]]; then echo 1; else echo 0; fi"
		if test = "1" then
			with timeout of 86400 seconds
				try
					tell application "Finder"
						activate
						display dialog _ERR_INSTALLED_TITLE & "

" & _ERR_INSTALLED_REGION_BODY buttons {_QUIT} default button 1
					end tell
				end try
			end timeout
			set DOQUIT to true
			do shell script "killall -HUP Installer"
		end if
	end if
end if



--
-- isLanguageOK
--
if DOQUIT = false then
	set test to do shell script "LANGUAGE=" & lang & "; typeset -x LANGUAGE; myPath=\"" & MY_POSIX_PATH & "\"; . \"${myPath}/strings\"; if [ -e \"${myPath}/language.sh\" ]; then . \"${myPath}/language.sh\"; fi; MCA_LANGUAGE=`echo ${MCA_LANGUAGE% }`; MCA_LANGUAGE=`echo ${MCA_LANGUAGE% }`; REG=\"" & PLIST_LANGUAGE & "\"; if [[ ${REG} != ${MCA_LANGUAGE} && ${REG} != \"\" ]]; then echo 1; else echo 0; fi"
	if test = "1" then
		with timeout of 86400 seconds
			try
				tell application "Finder"
					activate
					display dialog _ERR_INSTALLED_TITLE & "

" & _ERR_INSTALLED_LANG_BODY buttons {_QUIT} default button 1
				end tell
			end try
		end timeout
		set DOQUIT to true
		do shell script "killall -HUP Installer"
	end if
end if



--
-- isOlder
--
if DOQUIT = false then
	set test to do shell script "if [[ -e \"/Library/Preferences/Capture NX.plist\" && -e \"`defaults read /Library/Preferences/Capture\\ NX ApplicationPath`/Capture NX.app/Contents/Info.plist\" && `defaults read \"\\`defaults read /Library/Preferences/Capture\\ NX ApplicationPath\\`/Capture NX.app/Contents/Info\" CFBundleVersion | sed 's/\\.//g'` -lt `defaults read \"/Volumes/Capture NX Setup/Capture NX Setup.pkg/Contents/Info\" CFBundleVersion  | sed 's/\\.//g'` ]]; then echo 1; else echo 0; fi"
	if test = "1" then
		with timeout of 86400 seconds
			try
				tell application "Finder"
					activate
					set DOQUIT to true
					display dialog _ERR_INSTALLED_TITLE & "

" & _ERR_INSTALLED_OLDER_BODY buttons {_NO, _YES} default button 2
				end tell
			end try
		end timeout
		if button returned of the result is not equal to _YES then
			do shell script "killall -HUP Installer"
		end if
	end if
end if



--
-- isEqual
--
if DOQUIT = false then
	set test to do shell script "LANGUAGE=" & lang & "; typeset -x LANGUAGE; myPath=\"" & MY_POSIX_PATH & "\"; . \"${myPath}/strings\"; if [ -e \"${myPath}/language.sh\" ]; then . \"${myPath}/language.sh\"; fi; MCA_REGION=`echo ${MCA_REGION% }`; MCA_LANGUAGE=`echo ${MCA_LANGUAGE% }`; MCA_LANGUAGE=`echo ${MCA_LANGUAGE% }`; if [[ \"" & PLIST_REGION & "\" != \"\" && \"" & PLIST_LANGUAGE & "\" != \"\" && (( \"" & PLIST_REGION & "\" = ${MCA_REGION} || \"" & PLIST_REGION & " \" = \"" & MYRETURN & "\" )) && \"" & PLIST_LANGUAGE & "\" = \"${MCA_LANGUAGE}\" ]]; then echo 1; else echo 0; fi"
	if test = "1" then
		with timeout of 86400 seconds
			try
				tell application "Finder"
					activate
					display dialog _ERR_INSTALLED_TITLE & "

" & _ERR_INSTALLED_EQUAL_BODY buttons {_NO, _YES} default button 1
				end tell
			end try
		end timeout
		if button returned of the result is not equal to _YES then
			set DOQUIT to true
			do shell script "killall -HUP Installer"
		end if
	end if
end if
return MYRETURN